#ifndef IMG_SEQ_H
#define IMG_SEQ_H

#include "SDL_render.h"
#include "aliases/aliases.h"

typedef struct {
  u64 pos;
  u64 length;
  SDL_Texture *frames[];
} img_seq_t;

img_seq_t *create_sequence(u64 frame_count);
SDL_Texture *current_frame(img_seq_t *seq);
void next_frame(img_seq_t *seq);

#endif // !IMG_SEQ_H
